Générateur de code QR AI
GET https://qrcodemonkey.net/api/ai-qr-codes/
curl --request GET \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| search | Facultatif Chaîne | La chaîne de recherche |
| search_by | Facultatif Chaîne | Par quel champ recherchez-vous ? Les valeurs autorisées sont : name |
| project_id | Facultatif Entier | Available when: %s |
| order_by | Facultatif Chaîne | Par quel champ souhaitez-vous ordonner les résultats. Les valeurs autorisées sont: ai_qr_code_id, datetime, last_datetime, name. |
| order_type | Facultatif Chaîne | L'ordre des résultats. Les valeurs autorisées sont : ASC pour un ordre croissant, et DESC pour un ordre décroissant. |
| page | Facultatif Entier | Le numéro de page à partir duquel vous souhaitez obtenir des résultats. Par défaut, 1. |
| results_per_page | Facultatif Entier | Combien de résultats souhaitez-vous par page. Les valeurs autorisées sont : 10 , 25 , 50 , 100 , 250 , 500 , 1000. Par défaut, 25. |
{
"data": [
{
"id": 1,
"name": "Example name",
"ai_qr_code": "https://qrcodemonkey.net/uploads/ai_qr_codes/example.png",
"content": "https://qrcodemonkey.net/",
"prompt": "Paysage naturel au coucher du soleil, cascade, animaux sauvages et rayons de soleil"
"embedded_data": "https://qrcodemonkey.net/",
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-06-14 10:13:58",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcodemonkey.net/api/ai-qr-codes?page=1",
"last": "https://qrcodemonkey.net/api/ai-qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://qrcodemonkey.net/api/ai-qr-codes?page=1"
}
}
GET https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}
curl --request GET \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Example name",
"ai_qr_code": "https://qrcodemonkey.net/uploads/ai_qr_codes/example.png",
"content": "https://qrcodemonkey.net/",
"prompt": "Paysage naturel au coucher du soleil, cascade, animaux sauvages et rayons de soleil"
"embedded_data": "https://qrcodemonkey.net/",
"last_datetime": null,
"datetime": "2026-06-14 10:13:58",
}
}
POST https://qrcodemonkey.net/api/ai-qr-codes
| Paramètres | Détails | Description |
|---|---|---|
| link_id | Facultatif Entier | - |
| project_id | Facultatif Entier | - |
| name | Requis Chaîne | - |
| content | Requis Chaîne | - |
| prompt | Requis Chaîne | - |
| Paramètres | Détails | Description |
|---|---|---|
curl --request POST \
--url 'https://qrcodemonkey.net/api/ai-qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'prompt=Paysage naturel au coucher du soleil, cascade, animaux sauvages et rayons de soleil' \
--form 'content=https://qrcodemonkey.net/' \
--url 'https://qrcodemonkey.net/api/ai-qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'prompt=Paysage naturel au coucher du soleil, cascade, animaux sauvages et rayons de soleil' \
--form 'content=https://qrcodemonkey.net/' \
{
"data": {
"id": 1
}
}
POST https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}
| Paramètres | Détails | Description |
|---|---|---|
| link_id | Facultatif Entier | - |
| project_id | Facultatif Chaîne | - |
| name | Facultatif Chaîne | - |
| content | Facultatif Chaîne | - |
| prompt | Facultatif Chaîne | - |
curl --request POST \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}
curl --request DELETE \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \